<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2015, Ebenezer Obasi
 * All rights reserved.
 * info@eobai.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
 
	$gr = OW::getRouter();
 
	function addStyleSheet($src, $order = -999)
	{

		if($src == 'local'){
			$src = OW::getPluginManager()->getPlugin('bootstrap')->getStaticCssUrl() . 'bootstrap.min.css';
		}
		return OW::getDocument()->addStyleSheet($src, 'all', $order);
		
	}
 
	function addScript($src, $order = 1)
	{

		if($src == 'local'){
			$src = OW::getPluginManager()->getPlugin('bootstrap')->getStaticJsUrl() . 'bootstrap.min.js';
		}
		return OW::getDocument()->addScript($src, 'text/javascript', $order);
		
	}
	
	function append_bootstrap_files()
	{
		$config = OW::getConfig();
		$order = -999;
		
		$cssMaxcdn = $config->getValue('bootstrap', 'css_maxcdn');
		$JsMaxCnd = $config->getValue('bootstrap', 'js_maxcdn');
		$cssOrder = $config->getValue('bootstrap', 'css_order');
		$customCss = $config->getValue('bootstrap', 'custom_css');
		
		$cssSrc = ($cssMaxcdn == 'yes') ? 'http://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css' : 'local';
		$jsSrc = ($JsMaxCnd == 'yes') ? 'http://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js' : 'local';
		
		if($cssOrder == 'after') $order = 1000;
		
		addStyleSheet($cssSrc, $order);
		
		addScript($jsSrc);
		
		if(!empty($customCss))OW::getDocument()->addStyleDeclaration($customCss);
	}
	OW::getEventManager()->bind(OW_EventManager::ON_BEFORE_DOCUMENT_RENDER, 'append_bootstrap_files');

	$gr->addRoute(new OW_Route('bootstrap_admin_settings', 'admin/plugins/bootstrap/settings', 'BOOTSTRAP_CTRL_Admin', 'settings'));

	$gr->addRoute(new OW_Route('bootstrap_admin_spotlight', 'admin/plugins/bootstrap/spotlight', 'BOOTSTRAP_CTRL_Admin', 'spotlight'));

